/************
 *
 * Text Media Styles
 *
 ***********/
/******* Functions *******/
/******* Mixins *******/
/******* Bootstrap *******/
/**
* Fonts
*/
:root {
  --bs-primary: $dark;
  --bs-secondary: $gray-600;
  --bs-tertiary: $teal;
  --bs-success: $green;
  --bs-info: $cyan;
  --bs-warning: $yellow;
  --bs-danger: $red;
  --bs-light: $gray-100;
  --bs-dark: $dark;
  --gf-form-gap-y: 20px;
}

/******* Variables *******/
.text-media__subheader {
  margin-top: 0 !important;
}
.text-media__content > * {
  margin-bottom: 1.5rem;
}
.text-media__content > *:first-child {
  margin-top: 1.5rem;
}
@media (max-width: 575.98px) {
  .text-media:has(.text-media__video) {
    padding-top: 0 !important;
  }
}
@media (max-width: 575.98px) {
  .text-media--left.component:has(.ratio), .text-media--left.text-media:has(.ratio), .text-media--right.component:has(.ratio), .text-media--right.text-media:has(.ratio) {
    padding-top: 0 !important;
    padding-bottom: 0 !important;
  }
  .text-media--left.component .text-media__col-media, .text-media--left.text-media .text-media__col-media, .text-media--right.component .text-media__col-media, .text-media--right.text-media .text-media__col-media {
    padding: 0 !important;
  }
}
.text-media--left .text-media__col-media img, .text-media--right .text-media__col-media img {
  position: relative !important;
}
@media (max-width: 575.98px) {
  .text-media--left .text-media__col-media img, .text-media--right .text-media__col-media img {
    max-height: 33vh !important;
    width: auto !important;
  }
}
.text-media--left .text-media__col-media .ratio img, .text-media--right .text-media__col-media .ratio img {
  position: absolute !important;
}
@media (max-width: 575.98px) {
  .text-media--left .text-media__col-media .ratio img, .text-media--right .text-media__col-media .ratio img {
    position: absolute !important;
    width: 100% !important;
    max-height: auto !important;
  }
}
.text-media--card-left .card-body, .text-media--card-right .card-body {
  padding: 0 !important;
}
.text-media--card-left .card-body .text-media__row, .text-media--card-right .card-body .text-media__row {
  margin: 0;
  height: 100%;
  align-items: stretch !important;
}
.text-media--card-left .card-body .text-media__col-media, .text-media--card-right .card-body .text-media__col-media {
  min-height: 100%;
  flex-grow: 100;
  margin: 0;
  align-self: stretch;
  padding: 0;
}
.text-media--card-left .card-body .text-media__col-media img, .text-media--card-right .card-body .text-media__col-media img {
  -o-object-fit: cover;
     object-fit: cover;
  max-width: 99999px;
  min-height: 100%;
}
.text-media--card-left .card-body .text-media__col-content, .text-media--card-right .card-body .text-media__col-content {
  padding: 5rem !important;
}
.text-media--card-left .text-media__col-content, .text-media--card-right .text-media__col-content, .text-media--left .text-media__col-content, .text-media--right .text-media__col-content {
  margin: auto;
  padding-left: 4rem;
}
@media (max-width: 991.98px) {
  .text-media--card-left .text-media__col-content, .text-media--card-right .text-media__col-content, .text-media--left .text-media__col-content, .text-media--right .text-media__col-content {
    padding-top: 2rem;
    padding-left: 0.75rem;
  }
}
@media (min-width: 768px) {
  .text-media--card-left .text-media__col-media, .text-media--card-right .text-media__col-media, .text-media--left .text-media__col-media, .text-media--right .text-media__col-media {
    margin: auto;
  }
}
@media (min-width: 992px) {
  .text-media--card-right .text-media__col-media, .text-media--right .text-media__col-media {
    order: 13;
  }
}
.text-media--top .text-media__col {
  flex-basis: 100%;
  max-width: 100%;
}
.text-media--top .text-media__col-media {
  margin-bottom: 2rem;
}
.text-media--bottom .text-media__col {
  flex-basis: 100%;
  max-width: 100%;
  margin-left: 8.3333%;
}
@media (max-width: 991.98px) {
  .text-media--bottom .text-media__col {
    margin-left: 0;
  }
}
@media (min-width: 768px) {
  .text-media--bottom .text-media__col-content {
    margin-bottom: 2rem;
  }
}
.text-media--bottom .text-media__col-media {
  order: 13;
  flex-basis: 66.6666%;
  max-width: 66.6666%;
  margin-left: 16.6666%;
  padding-left: 0;
  padding-right: 0;
}
@media (max-width: 991.98px) {
  .text-media--bottom .text-media__col-media {
    flex-basis: 100%;
    max-width: 100%;
    margin-left: 0;
    padding: 0 1.5rem;
  }
}
@media (max-width: 767.98px) {
  .text-media--bottom .text-media__col-media {
    padding: 0 0.75rem;
  }
}
.text-media--bottom .text-media__col-media .text-media__video {
  clip-path: polygon(0% 0%, 0% 0%, calc(100% - 80px) 0%, 100% 80px, 100% 100%, 100% 100%, 0% 100%, 0% 100%);
}
@media (max-width: 1199.98px) {
  .text-media--bottom .text-media__col-media .text-media__video {
    clip-path: polygon(0% 0%, 0% 0%, calc(100% - 70px) 0%, 100% 70px, 100% 100%, 100% 100%, 0% 100%, 0% 100%);
  }
}
@media (max-width: 991.98px) {
  .text-media--bottom .text-media__col-media .text-media__video {
    clip-path: polygon(0% 0%, 0% 0%, calc(100% - 60px) 0%, 100% 60px, 100% 100%, 100% 100%, 0% 100%, 0% 100%);
  }
}
@media (max-width: 767.98px) {
  .text-media--bottom .text-media__col-media .text-media__video {
    clip-path: polygon(0% 0%, 0% 0%, calc(100% - 50px) 0%, 100% 50px, 100% 100%, 100% 100%, 0% 100%, 0% 100%);
  }
}
@media (max-width: 575.98px) {
  .text-media--bottom .text-media__col-media .text-media__video {
    clip-path: polygon(0% 0%, 0% 0%, calc(100% - 40px) 0%, 100% 40px, 100% 100%, 100% 100%, 0% 100%, 0% 100%);
  }
}
.text-media--big-left .text-media__col-media {
  padding-right: 6.25rem;
  padding-left: 3.75rem;
}
.text-media--big-right .text-media__col-media {
  order: 13;
  padding-left: 6.25rem;
  padding-right: 3.75rem;
}
@media (max-width: 991.98px) {
  .text-media--big-left .text-media__col-media, .text-media--big-right .text-media__col-media {
    padding: 0 1.875rem;
    position: absolute !important;
    opacity: 0.1 !important;
  }
}
@media (max-width: 575.98px) {
  .text-media--big-left .text-media__col-media, .text-media--big-right .text-media__col-media {
    top: auto;
  }
}
.text-media--big__content {
  padding-left: 12.57%;
}
@media (max-width: 767.98px) {
  .text-media--big__content {
    padding-left: 0;
  }
}
